Package org.eclipse.mat.query.annotations

## Annotation Type Name

    @Target(TYPE)
    @Retention(RUNTIME)
    public @interface Name

Annotates the name of the query as displayed in the query menu or query browser. The text can be replaced by translatable text in an annotations.properties file in the same package with the key

    <SimpleClassName>.name = My first query
    <SimpleClassName>.name = 4|My second query

where `<SimpleClassName>` is the name of the class of the query without the package name. The name is optionally preceded by a number indicating the menu order with a vertical bar separator.

### Required Element Summary

Required Elements
`String` `value`

### Element Detail

#### value

    String value